ros-kinetic-rosbag (1.12.7-0wily) wily; urgency=high

  * throw exception instead of accessing invalid memory (#971 <https://github.com/ros/ros_comm/pull/971>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * added option wait-for-subscriber to rosbag play (#959 <https://github.com/ros/ros_comm/issues/959>)
  * terminate underlying rosbag play, record  on SIGTERM (#951 <https://github.com/ros/ros_comm/issues/951>)
  * add pause service for rosbag player (#949 <https://github.com/ros/ros_comm/issues/949>)
  * add rate-control-topic and rate-control-max-delay. (#947 <https://github.com/ros/ros_comm/issues/947>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.6-0wily) wily; urgency=high

  * fix BagMigrationException in migrate_raw (#917 <https://github.com/ros/ros_comm/issues/917>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.5-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.4-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.3-0wily) wily; urgency=high

  * set default values for min_space and min_space_str (#883 <https://github.com/ros/ros_comm/issues/883>)
  * record a maximum number of splits and then begin deleting old files (#866 <https://github.com/ros/ros_comm/issues/866>)
  * allow 64-bit sizes to be passed to robag max_size (#865 <https://github.com/ros/ros_comm/issues/865>)
  * update rosbag filter progress meter to use raw uncompressed input size (#857 <https://github.com/ros/ros_comm/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.2-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.1-0wily) wily; urgency=high

  * promote the result of read_messages to a namedtuple (#777 <https://github.com/ros/ros_comm/pull/777>)
  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.0-0wily) wily; urgency=high

  * add missing parameter to AdvertiseOptions::createAdvertiseOptions (#733 <https://github.com/ros/ros_comm/issues/733>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag (1.11.18-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag (1.11.17-0wily) wily; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rosbag (1.11.16-0wily) wily; urgency=high

  * show size unit for --size of rosbag record in help string (#697 <https://github.com/ros/ros_comm/pull/697>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rosbag (1.11.15-0wily) wily; urgency=high

  * add option --prefix for prefixing output topics (#626 <https://github.com/ros/ros_comm/pull/626>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rosbag (1.11.14-0wily) wily; urgency=high

  * reduce memory usage by using slots for IndexEntry types (#613 <https://github.com/ros/ros_comm/pull/613>)
  * remove duplicate topics (#647 <https://github.com/ros/ros_comm/issues/647>)
  * better exception when calling get_start_time / get_end_time on empty bags (#657 <https://github.com/ros/ros_comm/pull/657>)
  * make support for lz4 in rosbag optional (#642 <https://github.com/ros/ros_comm/pull/642>)
  * fix handling of "play --topics" (#620 <https://github.com/ros/ros_comm/issues/620>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rosbag (1.11.13-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-rosbag (1.11.12-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rosbag (1.11.11-0wily) wily; urgency=high

  * add support for pausing when specified topics are about to be published (#569 <https://github.com/ros/ros_comm/pull/569>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rosbag (1.11.10-0wily) wily; urgency=high

  * add option to specify the minimum disk space at which recording is stopped (#500 <https://github.com/ros/ros_comm/pull/500>)
  * add convenience API to Python rosbag (#508 <https://github.com/ros/ros_comm/issues/508>)
  * fix delay on detecting a running rosmaster with use_sim_time set (#532 <https://github.com/ros/ros_comm/pull/532>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-rosbag (1.11.9-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.8-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.7-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.6-0wily) wily; urgency=high

  * fix rosbag record prefix (#449 <https://github.com/ros/ros_comm/issues/449>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.5-0wily) wily; urgency=high

  * Fix typo in rosbag usage

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.4-0wily) wily; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #430 <https://github.com/ros/ros_comm/issues/430>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.3-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.2-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.1-0wily) wily; urgency=high

  * add lz4 compression to rosbag (Python and C++) (#356 <https://github.com/ros/ros_comm/issues/356>)
  * fix rosbag record --node (#357 <https://github.com/ros/ros_comm/issues/357>)
  * move rosbag dox to rosbag_storage (#389 <https://github.com/ros/ros_comm/issues/389>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-rosbag (1.11.0-0wily) wily; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-rosbag (1.10.0-0wily) wily; urgency=high

  * remove use of __connection header

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-kinetic-rosbag (1.9.54-0wily) wily; urgency=high

  * readd missing declaration of rosbag::createAdvertiseOptions (#338 <https://github.com/ros/ros_comm/issues/338>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-kinetic-rosbag (1.9.53-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-kinetic-rosbag (1.9.52-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rosbag (1.9.51-0wily) wily; urgency=high

  * move several client library independent parts from ros_comm into roscpp_core, split rosbag storage specific stuff from client library usage (#299 <https://github.com/ros/ros_comm/issues/299>)
  * fix return value on platforms where char is unsigned.
  * fix usage of boost include directories

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-rosbag (1.9.50-0wily) wily; urgency=high

  * add chunksize option to rosbag record

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.49-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.48-0wily) wily; urgency=high

  * search for exported rosbag migration rules based on new package rosbag_migration_rule

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.47-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.46-0wily) wily; urgency=high

  * fix crash in bag migration (#239 <https://github.com/ros/ros_comm/issues/239>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.45-0wily) wily; urgency=high

  * added option '--duration' to 'rosbag play' (#121 <https://github.com/ros/ros_comm/issues/121>)
  * fix missing newlines in rosbag error messages (#237 <https://github.com/ros/ros_comm/issues/237>)
  * fix flushing for tools like 'rosbag compress' (#237 <https://github.com/ros/ros_comm/issues/237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.44-0wily) wily; urgency=high

  * fix various issues on Windows (#189 <https://github.com/ros/ros_comm/issues/189>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.43-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-kinetic-rosbag (1.9.42-0wily) wily; urgency=high

  * added option '--duration' to 'rosrun rosbag play' (#121 <https://github.com/ros/ros_comm/issues/121>)
  * add error message to rosbag when using same in and out file (#171 <https://github.com/ros/ros_comm/issues/171>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-rosbag (1.9.41-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-kinetic-rosbag (1.9.40-0wily) wily; urgency=high

  * fix bagsort script (#42 <https://github.com/ros/ros_comm/issues/42>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-kinetic-rosbag (1.9.39-0wily) wily; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


